package com.fjhx.flow.service.flow.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.flow.entity.flow.dto.FlowInfoDto;
import com.fjhx.flow.entity.flow.dto.FlowInfoSelectDto;
import com.fjhx.flow.entity.flow.po.FlowInfo;
import com.fjhx.flow.entity.flow.vo.FlowInfoVo;
import com.fjhx.flow.mapper.flow.FlowInfoMapper;
import com.fjhx.flow.service.flow.FlowInfoService;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 流程信息 服务实现类
 * </p>
 *
 * @author
 * @since 2023-03-15
 */
@Service
public class FlowInfoServiceImpl extends ServiceImpl<FlowInfoMapper, FlowInfo> implements FlowInfoService {

    public Page<FlowInfoVo> getPage(FlowInfoSelectDto dto) {
        IWrapper<FlowInfo> wrapper = getWrapper();
        wrapper.orderByDesc("fi", FlowInfo::getId);
        Page<FlowInfoVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    public void add(FlowInfoDto flowInfoDto) {
        this.save(flowInfoDto);
    }

    public void edit(FlowInfoDto flowInfoDto) {
        flowInfoDto.setFlowKey(null);
        this.updateById(flowInfoDto);
    }

    public void delete(Long id) {
        this.removeById(id);
    }

}
